Bug 1572539 - Gluster Volumes status card numbers are inconsistent with grid results
Summary: Gluster Volumes status card numbers are inconsistent with grid results
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: ovirt-engine-dashboard
Classification: oVirt
Component: General
Version: 1.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Scott Dickerson
QA Contact: Pavel Novotny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 09:37 UTC by Lucie Leistnerova
Modified: 2018-06-29 14:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-12 07:14:57 UTC
oVirt Team: UX


Attachments (Terms of Use)
dashboard pictures (180.29 KB, application/x-gzip)
2018-04-27 09:37 UTC, Lucie Leistnerova
no flags Details

Description Lucie Leistnerova 2018-04-27 09:37:43 UTC
Created attachment 1427599 [details]
dashboard pictures

Description of problem:
Gluster Volumes status card shows Warning: 1 and Up: 2, but the links goes to grid with different results.

Version-Release number of selected component (if applicable):
ovirt-engine-dashboard-1.2.3-2.el7ev.noarch
ovirt-engine-4.2.3.3-0.1.el7.noarch

How reproducible: always


Steps to Reproduce:
1. create cluster with gluster service enabled
2. install gluster host and add it to the cluster
3. create 2 different volumes in Storages -> Volumes
4. start 2 volumes (bricks should be Up), one should stay with Bricks - Up: 0, Down: 1 

Actual results: dashboard shows in Gluster Volumes Warning: 1, Up: 2, warning link goes to empty grid list, up link goes to grid with all volumes


Expected results: warning link goes to grid with one stopped volume, up link goes to grid with rest of the volumes


Additional info:

Comment 1 Scott Dickerson 2018-06-11 16:35:35 UTC
Lucie - Can you retest but before you click the status icons+number on the Gluster Status Card, wait a few minutes, and refresh the dashboard?

I don't see anything obviously wrong with the dashboard code. Right now I'm guessing that the dashboard got an inventory update while the volumes were transitioning and by the time you clicked the error icon, any volumes that would have been shown had transitioned to status UP.

Thanks for retesting.

Comment 2 Lucie Leistnerova 2018-06-12 07:14:57 UTC
The volume was down for a while, on refresh icon in dashboard is written that status card is reloaded once a minute, so I reported that. But now it seems ok and dashboard is updated, maybe I did not really wait enough before, sorry for that. Closing.

Comment 3 Scott Dickerson 2018-06-12 14:47:33 UTC
Apologies for the confusion.  Dashboard, unlike the grids in the rest of webadmin, does not refresh by itself.  Users must click the refresh button.

I can see how the tooltip may be confusing.  The status card data is only updated on the server once a minute (by default).  The other cards only get updated on the server once every 5 minutes (by default).  All that and the user still needs to click the refresh button.


Note You need to log in before you can comment on or make changes to this bug.